python-celery-common_4.0.2-0ubuntu1_all.deb


Advertisement

Description

python-celery-common - async task/job queue based on message passing (common files)

Property Value
Distribution Ubuntu 17.10 (Artful Aardvark)
Repository Ubuntu Universe i386
Package name python-celery-common
Package version 4.0.2
Package release 0ubuntu1
Package architecture all
Package type deb
Installed size 49 B
Download size 11.79 KB
Official Mirror archive.ubuntu.com
Celery is an open source asynchronous task queue/job queue based on
distributed message passing. It is focused on real-time operation,
but supports scheduling as well.
The execution units, called tasks, are executed concurrently on one
or more worker nodes. Tasks can execute asynchronously (in the
background) or synchronously (wait until ready).
Celery is written in Python, but the protocol can be implemented
in any language. It can also operate with other languages using
webhooks.
The recommended message broker is RabbitMQ, but limited support for Redis,
Beanstalk, MongoDB, CouchDB, and databases (using SQLAlchemy or the Django
ORM) is also available. Celery is easy to integrate with Django, using the
python-django-celery package.
This package contains the common files of the library.

Alternatives

Package Version Architecture Repository
python-celery-common_4.0.2-0ubuntu1_all.deb 4.0.2 all Ubuntu Universe
python-celery-common - - -

Requires

Name Value
python-celery = 4.0.2-0ubuntu1
python3-celery = 4.0.2-0ubuntu1

Replaces

Name Value
python-celery << 3.1.12-2

Download

Type URL
Binary Package python-celery-common_4.0.2-0ubuntu1_all.deb
Source Package celery

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-celery-common deb package:
    # sudo apt-get install python-celery-common

Files

Path
/usr/bin/celery
/usr/share/doc/python-celery-common/NEWS.Debian.gz
/usr/share/doc/python-celery-common/changelog.Debian.gz
/usr/share/doc/python-celery-common/copyright
/usr/share/doc/python-celery-common/examples/supervisord/celery.sh
/usr/share/doc/python-celery-common/examples/supervisord/celerybeat.conf
/usr/share/doc/python-celery-common/examples/supervisord/celeryd.conf
/usr/share/doc/python-celery-common/examples/supervisord/supervisord.conf
/usr/share/man/man1/celery.1.gz

Changelog

2017-06-13 - Nishanth Aravamudan <nish.aravamudan@canonical.com>
celery (4.0.2-0ubuntu1) artful; urgency=medium
* New upstream release (4.0.2)
- Refresh patches
- d/control: add b-d on python3-sphinx-celery (docs),
python{,3}-pytest (tests), python{,3}-case (tests) and
python{,3}-eventlet (tests).
- d/control: build docs with python3 sphinx
- debian/patches/fix_endless_python3.6_loop_logger_isa.patch: Fix
endless loop in logger_isa (Python 3.6).  Thanks to George
Psarakis <giwrgos.psarakis@gmail.com>.
- d/: celery 4.0+ has removed deprecated command-line programs:
+ celeryd, celerybeat, celeryd-multi are replaced by 'celery
worker', 'celery beat' and 'celery multi', respectively
- d/t/upstream: tests are now run with pytest
* Drop:
- Patches that no longer apply:
+ d/p/drop_downgrade.patch
+ d/p/intersphinx.patch
+ d/p/disable_unstable_tests.patch
+ d/p/0006-ci-Tests-passing-on-Python-3.5.patch
+ d/p/0008-Remove-bashisms-from-initd-scripts.patch
2017-03-30 - Brian May <bam@debian.org>
celery (3.1.23-7) unstable; urgency=medium
* Fix bashisms in initd scripts. Closes: #858298.
2017-03-24 - Brian May <bam@debian.org>
celery (3.1.23-6) unstable; urgency=medium
* Change celeryd to depend on python-celery-common instead of python-celery.
Closes: #858305.
* Add celeryd depends on lsb-base.
2016-07-31 - Brian May <bam@debian.org>
celery (3.1.23-5) unstable; urgency=medium
* Move celeryd to admin section. Closes: #832192.
2016-05-25 - Brian May <bam@debian.org>
celery (3.1.23-4) unstable; urgency=medium
* Update standards version to 3.9.8
* Fix su invocation. Closes: #824786.
2016-05-09 - Brian May <bam@debian.org>
celery (3.1.23-2) unstable; urgency=medium
* Update dependencies. Closes: #823720.
2016-04-17 - Brian May <bam@debian.org>
celery (3.1.23-1) unstable; urgency=medium
[ Ondřej Nový ]
* Fixed VCS URL
[ Brian May ]
* New upstream release.
2016-02-01 - Michael Fladischer <fladi@debian.org>
celery (3.1.20-1) unstable; urgency=low
* New upstream release.
* Reverse dependencies between python(3)-celery and python-celery-common as
the later only provides supplemental tools depending on the actual
implementation.
* Refresh patch to remove external assets from documentation.
* Bump all dependencies on billiard to >= 3.3.0.22.
* Bump all dependencies on kombu to >= 3.0.33.
* Demote python-kombu-doc to an unversioned Build-Depends.
* Use https in Vcs-Git field.
2016-01-14 - Brian May <bam@debian.org>
celery (3.1.19-3) unstable; urgency=medium
* Requires python-billiard 3.3.0.21 or later. Closes: #810899.
2015-11-30 - Brian May <bam@debian.org>
celery (3.1.19-2) unstable; urgency=medium
* Fix debian/copyright. Closes: #803117.

See Also

Package Description
python-celery-doc_4.0.2-0ubuntu1_all.deb async task/job queue based on message passing (Documentation)
python-celery_4.0.2-0ubuntu1_all.deb async task/job queue based on message passing (Python2 version)
python-cement-doc_2.10.0-1_all.deb CLI Application Framework (Documentation)
python-cement_2.10.0-1_all.deb CLI Application Framework (Python2 version)
python-cerealizer_0.8.1-2_all.deb secure pickle-like module for Python 2
python-ceres_0.10.0~git20150525-1_all.deb database engine for fast, reliable fixed-sized databases
python-certbot-apache-doc_0.17.0-1_all.deb Apache plugin documentation for Certbot
python-certbot-apache_0.17.0-1_all.deb Apache plugin for Certbot
python-certbot-doc_0.17.0-2_all.deb client documentation for certbot
python-certbot-nginx-doc_0.17.0-1_all.deb Nginx plugin documentation for Certbot
python-certbot-nginx_0.17.0-1_all.deb Nginx plugin for Certbot
python-certbot_0.17.0-2_all.deb main library for certbot
python-cf-doc_1.3.2+dfsg1-4_all.deb Python processing of Climate and Forecast (CF) data models (Documentation)
python-cf_1.3.2+dfsg1-4_i386.deb Python processing of Climate and Forecast (CF) data models (Python 2)
python-cfflib_2.0.5-2_all.deb Multi-modal connectome and metadata management and integration
Advertisement
Advertisement